Package org.apache.felix.http.proxy

## Class ProxyServlet

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.apache.felix.http.proxy.AbstractProxyServlet
      - - org.apache.felix.http.proxy.ProxyServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

    public final class ProxyServlet
    extends AbstractProxyServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProxyServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.osgi.framework.BundleContext` `getBundleContext()`

### Methods inherited from class org.apache.felix.http.proxy.AbstractProxyServlet

`destroy, init, service`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyServlet

    public ProxyServlet()

### Method Detail

#### getBundleContext

    protected org.osgi.framework.BundleContext getBundleContext()
                                                         throws jakarta.servlet.ServletException

Specified by:
  `getBundleContext` in class `AbstractProxyServlet`
Throws:
  `jakarta.servlet.ServletException`